com.orientechnologies.orient.jdbc

## Class OrientJdbcDriver

- java.lang.Object
- - com.orientechnologies.orient.jdbc.OrientJdbcDriver

All Implemented Interfaces:
  Driver

    public class OrientJdbcDriver
    extends Object
    implements Driver

### Field Summary

Fields
`static int` `MAJOR_VERSION`
`static int` `MINOR_VERSION`

### Constructor Summary

Constructors
Constructor and Description
`OrientJdbcDriver()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `acceptsURL(String url)`
`Connection` `connect(String url, Properties info)`
`int` `getMajorVersion()`
`int` `getMinorVersion()`
`Logger` `getParentLogger()`
`DriverPropertyInfo[]` `getPropertyInfo(String url, Properties info)`
`static String` `getVersion()`
`boolean` `jdbcCompliant()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MAJOR_VERSION

    public static final int MAJOR_VERSION

See Also:
  Constant Field Values

#### MINOR_VERSION

    public static final int MINOR_VERSION

See Also:
  Constant Field Values

### Constructor Detail

#### OrientJdbcDriver

    public OrientJdbcDriver()

### Method Detail

#### acceptsURL

    public boolean acceptsURL(String url)
                       throws SQLException

Specified by:
  `acceptsURL` in interface `Driver`
Throws:
  `SQLException`

#### connect

    public Connection connect(String url,
                              Properties info)
                       throws SQLException

Specified by:
  `connect` in interface `Driver`
Throws:
  `SQLException`

#### getPropertyInfo

    public DriverPropertyInfo[] getPropertyInfo(String url,
                                                Properties info)
                                         throws SQLException

Specified by:
  `getPropertyInfo` in interface `Driver`
Throws:
  `SQLException`

#### jdbcCompliant

    public boolean jdbcCompliant()

Specified by:
  `jdbcCompliant` in interface `Driver`

#### getMajorVersion

    public int getMajorVersion()

Specified by:
  `getMajorVersion` in interface `Driver`

#### getMinorVersion

    public int getMinorVersion()

Specified by:
  `getMinorVersion` in interface `Driver`

#### getVersion

    public static String getVersion()

#### getParentLogger

    public Logger getParentLogger()
                           throws SQLFeatureNotSupportedException

Specified by:
  `getParentLogger` in interface `Driver`
Throws:
  `SQLFeatureNotSupportedException`